A pesar de las medidas impuestas para el combate al coronavirus, la comunidad de la ciberseguridad no deja de trabajar. Especialistas en servicios de seguridad informática han revelado el hallazgo de un conjunto de vulnerabilidades en SQLite, el popular sistema de gestión de bases de datos relacional compatible con ACID. De ser explotadas, estas fallas de seguridad permitirían el despliegue de diversos escenarios maliciosos como ataques de denegación de servicio (DDoS) y filtración de información confidencial.

continuación se presenta una breve descripción de cada una de las fallas encontradas, con su respectiva clave del Common Vulnerability Scoring System (CVSS).

CVE-2020-11655: Esta es una falla de validación insuficiente de la entrada suministrada por el usuario cuando se maneja de forma inadecuada la inicialización del objeto AggInfo. Su explotación permite que un actor de amenazas remoto pueda desplegar ataques de denegación de servicio enviando información especialmente diseñada mediante una consulta de función con formato incorrecto, desencadenando la condición DDoS.

La vulnerabilidad es considerada de gravedad media y por el momento no se conocen soluciones alternativas. Esta falla se encuentra en las versiones SQLite: 3.31.0 y 3.31.1 de SQLite

Hasta el momento no se han reportado casos de explotación en escenarios reales, ni la existencia de un malware para explotar esta vulnerabilidad. Los especialistas en servicios de seguridad informática recomiendan permanecer al tanto del lanzamiento de las actualizaciones pertinentes.

CVE-2020-11656: Esta es una vulnerabilidad use-after-free que existe debido a una falla después de la implementación de ALTER TABLE. Un hacker remoto podría ejecutar código arbitrario en el sistema objetivo para tomar control del dispositivo de la víctima. Los expertos en servicios de seguridad informática no han reportado el desarrollo de actualizaciones de seguridad ni la existencia de una solución alternativa para mitigar el riesgo de explotación.

La falla existe en las versiones 3.31.0 y 3.31.1 de SQLite y pueden ser explotadas de forma remota por actores de amenaza de forma remota. Para desencadenar la explotación, el hacker tendría que enviar una solicitud especialmente diseñada a la aplicación vulnerable y completar el ataque.

Hasta el momento aún se desconoce si existe un exploit para completar el ataque, aunque los especialistas recomiendan a los administradores de sistemas afectados mantenerse al tanto del lanzamiento de las actualizaciones pertinentes para prevenir esta variante de ataque.

Para mayores informes sobre vulnerabilidades, exploits, variantes de malware y riesgos de seguridad informática puede ingresar al sitio web del Instituto Internacional de Seguridad Cibernética (IICS), al igual que a las plataformas oficiales de las compañías tecnológicas.

Deja un comentario